﻿@using Core
@using Newtonsoft.Json;
@using Newtonsoft.Json.Serialization

@model CustomerService.Web.ViewModels.BaseViewModel

<!DOCTYPE html>
<html lang="en" ng-app="CustomerServiceApp">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - Customer Service</title>

    @Styles.Render($"~/Content/{Constants.WebNames.CssBundleName}")
    @Scripts.Render($"~/bundles/{Constants.WebNames.ModernizrBundleName}")

</head>

<body>

<nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container-fluid">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            @Html.ActionLink(@Core.Constants.Application.Name, "Index", "Home", new {area = ""}, new {@class = "navbar-brand"})
        </div>

        <div class="navbar-collapse collapse">
            <ul class="nav navbar-nav">

            </ul>

            @if (Request.IsAuthenticated)
            {

                using (Html.BeginForm("LogOff", "Account", FormMethod.Post, new {id = "logoutForm", @class = "navbar-right"}))
                {
                    @Html.AntiForgeryToken()

                    <ul class="nav navbar-nav navbar-right" style="margin-right: 15px;">
                        <li>
                            @Html.ActionLink("Hello, " + Model.UserName + "!", "Index", "Manage", routeValues: null, htmlAttributes: new {title = "Manage"})
                        </li>
                        <li>
                            <a href="javascript:document.getElementById('logoutForm').submit()">Log off</a>
                        </li>
                    </ul>
                }
            }

        </div>

    </div>
</nav>

<div class="site-middle clearfix">
    @if (Request.IsAuthenticated)
    {
        <aside class="sidebar">
            <nav class="menu-left">
                <ul>
                    @if (Model.IsAdmin)
                    {
                        <li>
                            <a href="@Url.Action("Index", "Users")">
                                <i class="fa fa-users"></i>
                                <span class="menu-title">
                                    Users
                                </span>
                            </a>
                        </li>
                    }
                    <li>
                        <a href="@Url.Action("Index", "Stats")">
                            <i class="fa fa-pie-chart"></i>
                            <span class="menu-title">
                                Statistics
                            </span>
                        </a>
                    </li>
                </ul>
            </nav>

        </aside>
    }


    <main class="site-content">
        <div class="entry">
            <div class="content-body">
                @RenderBody()
            </div>
        </div>
    </main>

</div>

    <footer>
        <p>&copy; @DateTime.Now.Year - @Core.Constants.Application.Name</p>
    </footer>

    @Scripts.Render($"~/bundles/{Constants.WebNames.JQueryBundleName}")
    @Scripts.Render($"~/bundles/{Constants.WebNames.BootstrapJsBundleName}")
    @Scripts.Render($"~/bundles/{Constants.WebNames.AngularJsBundleName}")
    @Scripts.Render($"~/bundles/{Constants.WebNames.Toastr}")
    @Scripts.Render($"~/bundles/{Constants.WebNames.MainAppJsBundleName}")
    @RenderSection("scripts", required: false)

    <script type="text/javascript">
        angular.module('CustomerServiceApp').value('serverModel', @Html.Raw(JsonConvert.SerializeObject(Model, new JsonSerializerSettings(){ContractResolver = new CamelCasePropertyNamesContractResolver()})));
    </script>

</body>
</html>
